# wxDataViewVirtualListModel Class Reference
[wxDataViewCtrl Related Classes]

`#include </home/work/projects/wx/2.9/wx/interface/wx/dataview.h>`

Inheritance diagram for wxDataViewVirtualListModel:
[legend]

## Detailed Description

wxDataViewVirtualListModel is a specialized data model which lets you address an item by its position (row) rather than its wxDataViewItem and as such offers the exact same interface as wxDataViewIndexListModel.

The important difference is that under platforms other than OS X, using this model will result in a truly virtual control able to handle millions of items as the control doesn't store any item (a feature not supported by OS X).

See also:
  wxDataViewListModel for the API.

##

Library: wxAdvanced
Category: wxDataViewCtrl Related Classes

## Public Member Functions

| wxDataViewVirtualListModel (unsigned int initial_size=0)
| Constructor.

List of all members.

## Constructor & Destructor Documentation

wxDataViewVirtualListModel::wxDataViewVirtualListModel | ( | unsigned int | initial_size = `0` | ) |

Constructor.

|  | [ top ]